Bug 772361 - FEATURE REQUEST: I/O bandwidth limitation
Summary: FEATURE REQUEST: I/O bandwidth limitation
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: fuse
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Vijay Bellur
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-06 23:06 UTC by Pavel Snajdr
Modified: 2015-10-22 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-22 15:46:38 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Pavel Snajdr 2012-01-06 23:06:40 UTC
In private/public cloud environments, where Gluster is used as VM-backing storage, it is often necessary to limit I/O bandwidth.

Now, this probably should be implemented at hypervisor level, but there are some situations, where it's not possible to limit it there (more virtualization technologies used, or the limiting is needed even for something not virtualization-related).

Ideal implementation would be if it would be possible to limit both IOPS and data throughput, but since I think that is a bit of an overkill, just throughput limit is still much than fine.

I'm guessing the place to implement it would be the native FUSE client, but then the feature wouldn't be available when using NFS/CIFS.

Comment 2 Niels de Vos 2014-11-27 14:45:05 UTC
Feature requests make most sense against the 'mainline' release, there is no ETA for an implementation and requests might get forgotten when filed against a particular version.

Comment 3 Kaleb KEITHLEY 2015-10-22 15:46:38 UTC
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.


Note You need to log in before you can comment on or make changes to this bug.